<?php

namespace App\Imports;

use Maatwebsite\Excel\Concerns\ToArray;
use Maatwebsite\Excel\Concerns\WithCalculatedFormulas;
use Maatwebsite\Excel\Concerns\WithMultipleSheets;

/**
 * Brand Protection Import Handler
 *
 * @author Lucas Buzzo <lucas.buzzo@ab-inbev.com>
 * @package App\Imports
 */
class SiteListImport implements ToArray, WithCalculatedFormulas, WithMultipleSheets
{
    /**
     * Import handler
     *
     * @param array $array
     *
     * @return array
     */
    public function array(array $array): array
    {
        return $array;
    }

    /**
     * Sheet selecter by indx
     *
     * @return array
     */
    public function sheets(): array
    {
        return [
            0 => $this,
        ];
    }
}
