<?php

namespace Database\Factories;

use App\Models\Channel;
use App\Models\Criteria;
use App\Models\CriteriaChannelMinimalScore;
use Illuminate\Database\Eloquent\Factories\Factory;

class CriteriaChannelMinimalScoreFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = CriteriaChannelMinimalScore::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        return [
            'channel_id' => Channel::factory()->create()->id,
            'criteria_id' => Criteria::factory()->create()->id,
            'score' => rand(0, 100)
        ];
    }
}
