<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('pgsql2')->table('users', function (Blueprint $table) {
            $table->foreign(['user_level_id'], 'users_level_id_fkey')->references(['id'])->on('user_level');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('pgsql2')->table('users', function (Blueprint $table) {
            $table->dropForeign('users_level_id_fkey');
        });
    }
};
