<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('pgsql2')->table('keywords', function (Blueprint $table) {
            $table->boolean('social')->default(false)->change();
            $table->string('group')->default('default')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('pgsql2')->table('keywords', function (Blueprint $table) {
            $table->boolean('social')->nullable();
            $table->string('group')->nullable();
        });
    }
};
