<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\DB;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::table('user_level')->insert(
            array(
                'id' => 1,
                'level' => 'Default',
                'created_at' => '2022-06-27 15:00:00.000',
                'updated_at' => '2022-06-27 15:00:00.000',
            )
        );

        DB::table('user_level')->insert(
            array(
                'id' => 2,
                'level' => 'Admin',
                'created_at' => '2022-06-27 15:00:00.000',
                'updated_at' => '2022-06-27 15:00:00.000',
            )
        );

        DB::table('user_level')->insert(
            array(
                'id' => 3,
                'level' => 'SuperAdmin',
                'created_at' => '2022-06-27 15:00:00.000',
                'updated_at' => '2022-06-27 15:00:00.000',
            )
        );
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        DB::table('user_level')->truncate();
    }
};
