<?php

namespace App\Models;

use GeneaLabs\LaravelModelCaching\Traits\Cachable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

/**
 * ManualValidation Class
 *
 * Specifies the fillable atrributes and base configation
 *
 * @author Tércio Lacerda <tercio.lacerda-ext@ab-inbev.com>
 * @package App\Models
 */
class ManualValidation extends Model
{
    use Cachable;

    /**
     * The attributes that are mass assignable.
     */
    protected $fillable = [
        'link_id',
        'exec_date',
        'validated',
        'use_on_report',
    ];

    /**
     * Define the table name
    */
    protected $table = 'manual_validation';
}
