<?php

namespace Database\Factories;

use App\Models\Assessment;
use Illuminate\Database\Eloquent\Factories\Factory;

class AssessmentFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = Assessment::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        $inputType = [
            'text',
            'number',
            'radio'
        ];

        return [
            'name' => $this->faker->sentence(3),
            'input_type' => $inputType[rand(0, 2)],
        ];
    }
}
