<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cookies_websites', function (Blueprint $table) {
            $table->id();

            $table->integer('link_id');
            $table->text('cookie');
            $table->text('trigger');
            $table->text('expected')->nullable();
            $table->text('status');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cookies_websites');
    }
};
