<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('bpoc_website_lists', function (Blueprint $table) {
            $table->id();

            $table->text('link')->index();
            $table->text('status');
            $table->text('zone')->nullable();
            $table->text('country')->nullable();
            $table->text('brand')->nullable();
            $table->boolean('dgp_scope');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('bpoc_website_lists');
    }
};
