<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('cookie_compliance_reports', function (Blueprint $table) {
            $table->dropColumn('wrong_categorization');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('cookie_compliance_reports', function (Blueprint $table) {
            $table->integer('wrong_categorization');
        });
    }
};
